Set a new password with a reset link's token
POST
/v1/auth/password-reset/confirm
const url = 'https://example.com/v1/auth/password-reset/confirm';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"password":"example","token":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/v1/auth/password-reset/confirm \ --header 'Content-Type: application/json' \ --data '{ "password": "example", "token": "example" }'Who: anyone.
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
password
required
string
token
required
string
Example generated
{ "password": "example", "token": "example"}Responses
Section titled “Responses”Done; no body
default
Section titled “default”An error, as go-commons apperr maps it
Media typeapplication/json
object
error
required
object
code
required
string
fields
object
key
additional properties
string
message
required
string
Example generated
{ "error": { "code": "example", "fields": { "additionalProperty": "example" }, "message": "example" }}